Update Event by IDpatch https://{hostname}/api/talk/content/v1/events/{id}This operation updates an event by ID. Authorization and Permissions An OpenAm token is required to update an event. The user must have content updation permission which is set by the Talk administrator. Path ParamsidstringrequiredThe ID of the event to update.Body ParamsRequest can take the full event object as input. But only title, content, location, startdatetime, enddatetime and scheduledDateTime can be edited.titlestringThe title of an event. The title cannot exceed 200 characters.contentstringThe content of the event in plaintext format. The content cannot exceed 5000 characters.startDateTimedate-timeThe start date and time of an event. It should be in ISO8601 datetime format.endDateTimedate-timeThe end date and time of an event.It should be in ISO8601 datetime format.commentEnabledbooleanA Boolean indicator of whether or not comments are enabled for this event. Defaults to true.falsetruefalselocationstringThe location associated with an event. The location cannot exceed 100 characters.scheduledDateTimedate-timeThe scheduled date and time for an event to be released to users.It should be in ISO8601 datetime format.coverImageobjectThe attachment model used across different content types.coverImage objectattachmentsarray of objectsThe attachments to include with the announcement. The attachment object should be the same returned by the file upload API.attachmentsADD objectHeadersAuthorizationstringrequiredAn openAM token for the user.x-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully submitted a put request. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 404The HTTP status code 404 Not Found error, the event is not found to be updated. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 429The HTTP status code 429 Too Many Requests error, thrown when the user exceeds the allowed rate limit for the API. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 3 months ago